#include <iostream>
using namespace std;

int main()
{
    int n, l;
    cin >> n >> l;
    int s[n];
    int k = -1;
    bool b = true;
    for (int i = 0; i < n; i++){
        cin >> s[i];
        if (s[i] <= l and b){
            k = i + 1;
            b = false;
        }
    }
    cout << k;

    return 0;
}